%define anolis_release 2

Name:		setools
Version:	4.4.1
Release:	%{anolis_release}%{?dist}
Summary:	Policy analysis tools for SELinux

License:	GPLv2
URL:		https://github.com/SELinuxProject/setools/
Source0:	https://github.com/SELinuxProject/setools/archive/refs/tags/%{version}.tar.gz
Source1:        setools.pam
Source2:        apol.desktop

Patch0001:      0001-Require-networkx-on-package-level.patch

BuildRequires:	flex,  bison vim
BuildRequires:  glibc-devel, gcc, git-core
BuildRequires:  libsepol-devel >= 3.2-1, libsepol-static >= 3.2-1
BuildRequires:  qt5-qtbase-devel
BuildRequires:  swig
BuildRequires:  python3-Cython
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  libselinux-devel
BuildRequires:  python3-rpm-macros

# This package is need for Test
BuildRequires:	python3-pip python3-networkx checkpolicy

Requires:	%{name}-console = %{version}-%{release}
Requires:       %{name}-console-analyses = %{version}-%{release}
Requires:       %{name}-gui = %{version}-%{release}

Obsoletes:      setools < 4.0.0, setools-devel < 4.0.0

%description
SETools is a collection of graphical tools, command-line tools, and
Python modules designed to facilitate SELinux policy analysis.

%package     	console
Summary:     	Policy analysis command-line tools for SELinux
License:     	GPLv2
Requires:    	python3-setools = %{version}-%{release}
Requires:    	libselinux >= 3.2-1

%description	console
This package includes the following console tools:
  sediff       Compare two policies to find differences.
  seinfo       List policy components.
  sesearch     Search rules (allow, type_transition, etc.)

%package     	console-analyses
Summary:     	Policy analysis command-line tools for SELinux
License:     	GPLv2
Requires:    	python3-setools = %{version}-%{release}
Requires:    	libselinux >= 3.2-1
Requires:    	python3-networkx

%description	console-analyses
The console analyses package for %{name}.

%package     	-n python3-setools
Summary:     	Policy analysis tools for SELinux  
Obsoletes:   	%{name}-libs < 4.0.0
Recommends:  	libselinux-python3
%{?python_provide:%python_provide python3-setools}
Requires:    	python3-setuptools
 
%description 	-n python3-setools
The python package for %{name}.

%package     	gui
Summary:     	Policy analysis graphical tools for SELinux
Requires:    	python3-setools = %{version}-%{release}
Requires:    	python3-qt5
Requires:    	python3-networkx

%description 	gui
The gui package for %{name}.

%prep
%autosetup -n setools-%{version} -p1

%build
%py3_build

%install
%py3_install

%generate_compatibility_deps

%check
%{__python3} setup.py test

%files

%files 		console
%{_bindir}/sechecker
%{_bindir}/sediff
%{_bindir}/seinfo
%{_bindir}/sesearch

%{_mandir}/man1/sechecker*
%{_mandir}/man1/sediff*
%{_mandir}/man1/seinfo*
%{_mandir}/man1/sesearch*
%{_mandir}/ru/man1/sediff*
%{_mandir}/ru/man1/seinfo*
%{_mandir}/ru/man1/sesearch*
%dir %{abidir}
%{abidir}/policyrep.cpython-%{python3_version_nodots}-%{_arch}-linux-gnu.dump

%files console-analyses
%{_bindir}/sedta
%{_bindir}/seinfoflow
%{_mandir}/man1/sedta*
%{_mandir}/man1/seinfoflow*
%{_mandir}/ru/man1/sedta*
%{_mandir}/ru/man1/seinfoflow*
 
%files -n python3-setools
%license COPYING COPYING.GPL COPYING.LGPL
%{python3_sitearch}/setools
%{python3_sitearch}/setools-*
 
%files gui
%{_bindir}/apol
%{python3_sitearch}/setoolsgui
%{_mandir}/man1/apol*
%{_mandir}/ru/man1/apol*

%changelog
* Wed Mar 13 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 4.4.1-2
- Rebuild with python3.11
- Fix build error

* Mon Mar 20 2023 Feng Su <sufeng@linux.alibaba.com> - 4.4.1-1
- update to v4.4.1

* Thu Oct 13 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 4.4.0-2
- optimise spec file

* Fri Apr 15 2022 happy_orange <songnannan@linux.alibaba.com> - 4.4.0-1
- Init package from upstream
